/*
 Adding jstree settings to the selected menus
 */

(function ($) {
    Drupal.behaviors.drupalJstree = {
        attach:function (context, settings) {

            //menus to add the script to
            var menus = settings.jstreeMenus;

            //jstree theme type select
            var themeSelect = settings.jstreeThemeSelect;

            //custom theme path, if set
            var customThemePath = settings.jstreeCustomThemePath;
            //custom theme name, if set
            var customThemeName = settings.jstreeCustomThemeName;

            //Themes shipped with the script
            var scriptThemes = settings.jstreeScriptThemes;

            //Custom jstree script
            var customScript = settings.jstreeCustomScript;


            //set url/theme name dependend on theme select method from setting
            if (themeSelect == 'custom') {
                var url = customThemePath;
                var themeName = customThemeName;
            }

            if(themeSelect == 'default')
            {
                var url = false;
                var themeName = scriptThemes
            }



            //loop through all menu ids
            $.each(menus, function (index, value) {
                $(value).jstree({
                    "themes":{
                        "theme": themeName,
                        "url": url,
                        "dots":true,
                        "icons":true
                    },
                    "plugins":[ "themes", "html_data", "cookies" ]
                });
            });
        }
    }
}(jQuery));






